Search for all

  1. Search 7.x for all
  2. Search 9.5.x for all
  3. Search 8.9.x for all
  4. Search 10.3.x for all
  5. Search 11.x for all
  6. Other projects
Title Object type File name Summary
WorkspacePublishEvent::$publishingStoppedReason property core/modules/workspaces/src/Event/WorkspacePublishEvent.php The reason why publishing stopped. For use in messages.
WorkspacePublishEvent::getPublishedRevisionIds function core/modules/workspaces/src/Event/WorkspacePublishEvent.php Gets the entity IDs that are being published as part of the workspace.
WorkspacePublishEvent::getPublishingStoppedReason function core/modules/workspaces/src/Event/WorkspacePublishEvent.php Gets the reason for stopping the workspace publication.
WorkspacePublishEvent::getWorkspace function core/modules/workspaces/src/Event/WorkspacePublishEvent.php Gets the workspace.
WorkspacePublishEvent::isPublishingStopped function core/modules/workspaces/src/Event/WorkspacePublishEvent.php Determines whether a subscriber requested the publishing to be stopped.
WorkspacePublishEvent::setPublishingStoppedReason function core/modules/workspaces/src/Event/WorkspacePublishEvent.php Sets the reason for stopping the workspace publication.
WorkspacePublishEvent::stopPublishing function core/modules/workspaces/src/Event/WorkspacePublishEvent.php Signals that the workspace publishing should be aborted.
WorkspacePublishEvent::__construct function core/modules/workspaces/src/Event/WorkspacePublishEvent.php Constructs a new WorkspacePublishEvent.
WorkspacePublishException class core/modules/workspaces/src/WorkspacePublishException.php An exception thrown when a workspace can not be published.
WorkspacePublishException.php file core/modules/workspaces/src/WorkspacePublishException.php
WorkspacePublishForm class core/modules/workspaces_ui/src/Form/WorkspacePublishForm.php Provides the workspace publishing form.
WorkspacePublishForm.php file core/modules/workspaces_ui/src/Form/WorkspacePublishForm.php
WorkspacePublishForm::$entityTypeManager property core/modules/workspaces_ui/src/Form/WorkspacePublishForm.php The entity type manager.
WorkspacePublishForm::$workspace property core/modules/workspaces_ui/src/Form/WorkspacePublishForm.php The workspace that will be published.
WorkspacePublishForm::$workspaceOperationFactory property core/modules/workspaces_ui/src/Form/WorkspacePublishForm.php The workspace operation factory.
WorkspacePublishForm::buildForm function core/modules/workspaces_ui/src/Form/WorkspacePublishForm.php Form constructor.
WorkspacePublishForm::create function core/modules/workspaces_ui/src/Form/WorkspacePublishForm.php Instantiates a new instance of the implementing class using autowiring.
WorkspacePublishForm::getCancelUrl function core/modules/workspaces_ui/src/Form/WorkspacePublishForm.php Returns the route to go to if the user cancels the action.
WorkspacePublishForm::getDescription function core/modules/workspaces_ui/src/Form/WorkspacePublishForm.php Returns additional text to display as a description.
WorkspacePublishForm::getFormId function core/modules/workspaces_ui/src/Form/WorkspacePublishForm.php Returns a unique string identifying the form.
WorkspacePublishForm::getQuestion function core/modules/workspaces_ui/src/Form/WorkspacePublishForm.php Returns the question to ask the user.
WorkspacePublishForm::submitForm function core/modules/workspaces_ui/src/Form/WorkspacePublishForm.php Form submission handler.
WorkspacePublishForm::__construct function core/modules/workspaces_ui/src/Form/WorkspacePublishForm.php Constructs a new WorkspacePublishForm.
WorkspaceQueryParameterNegotiatorTest class core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php Tests the query parameter workspace negotiator.
WorkspaceQueryParameterNegotiatorTest.php file core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php
WorkspaceQueryParameterNegotiatorTest::$modules property core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php Modules to install.
WorkspaceQueryParameterNegotiatorTest::providerTestWorkspaceQueryParameter function core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php Data provider for testWorkspaceQueryParameter.
WorkspaceQueryParameterNegotiatorTest::setUp function core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php
WorkspaceQueryParameterNegotiatorTest::testWorkspaceQueryParameter function core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php Tests workspace query parameter.
WorkspaceRepository class core/modules/workspaces/src/WorkspaceRepository.php Provides the default workspace tree lookup operations.
WorkspaceRepository.php file core/modules/workspaces/src/WorkspaceRepository.php
WorkspaceRepository::$cache property core/modules/workspaces/src/WorkspaceRepository.php The cache backend used to store the workspace tree.
WorkspaceRepository::$entityTypeManager property core/modules/workspaces/src/WorkspaceRepository.php The entity type manager service.
WorkspaceRepository::$tree property core/modules/workspaces/src/WorkspaceRepository.php An array of tree items, keyed by workspace IDs and sorted in tree order.
WorkspaceRepository::getDescendantsAndSelf function core/modules/workspaces/src/WorkspaceRepository.php Returns the descendant IDs of the passed-in workspace, including itself.
WorkspaceRepository::loadTree function core/modules/workspaces/src/WorkspaceRepository.php Returns an array of workspaces tree item properties, sorted in tree order.
WorkspaceRepository::resetCache function core/modules/workspaces/src/WorkspaceRepository.php Resets the cached workspace tree.
WorkspaceRepository::__construct function core/modules/workspaces/src/WorkspaceRepository.php Constructs a new WorkspaceRepository instance.
WorkspaceRepositoryInterface interface core/modules/workspaces/src/WorkspaceRepositoryInterface.php Provides an interface for workspace tree lookup operations.
WorkspaceRepositoryInterface.php file core/modules/workspaces/src/WorkspaceRepositoryInterface.php
WorkspaceRepositoryInterface::getDescendantsAndSelf function core/modules/workspaces/src/WorkspaceRepositoryInterface.php Returns the descendant IDs of the passed-in workspace, including itself.
WorkspaceRepositoryInterface::loadTree function core/modules/workspaces/src/WorkspaceRepositoryInterface.php Returns an array of workspaces tree item properties, sorted in tree order.
WorkspaceRepositoryInterface::resetCache function core/modules/workspaces/src/WorkspaceRepositoryInterface.php Resets the cached workspace tree.
WorkspaceRequestSubscriber class core/modules/workspaces/src/EventSubscriber/WorkspaceRequestSubscriber.php Provides a event subscriber for setting workspace-specific cache keys.
WorkspaceRequestSubscriber.php file core/modules/workspaces/src/EventSubscriber/WorkspaceRequestSubscriber.php
WorkspaceRequestSubscriber::getSubscribedEvents function core/modules/workspaces/src/EventSubscriber/WorkspaceRequestSubscriber.php
WorkspaceRequestSubscriber::onKernelRequest function core/modules/workspaces/src/EventSubscriber/WorkspaceRequestSubscriber.php Adds the active workspace as a cache key part to the route provider.
WorkspaceRequestSubscriber::__construct function core/modules/workspaces/src/EventSubscriber/WorkspaceRequestSubscriber.php
WorkspaceRequestSubscriberTest class core/modules/workspaces/tests/src/Unit/WorkspaceRequestSubscriberTest.php Tests Drupal\workspaces\EventSubscriber\WorkspaceRequestSubscriber.
WorkspaceRequestSubscriberTest.php file core/modules/workspaces/tests/src/Unit/WorkspaceRequestSubscriberTest.php

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.